package com.pj.project.tb_item_type;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Service: tb_item_type -- 业务项类型
 * @author qzy 
 */
@Service
public class TbItemTypeService extends ServiceImpl<TbItemTypeMapper,TbItemType> implements IService<TbItemType> {

	/** 底层 Mapper 对象 */
	@Autowired
    TbItemTypeMapper tbItemTypeMapper;

	/** 增 */
	int add(TbItemType t){
		return tbItemTypeMapper.add(t);
	}

	/** 删 */
	int delete(String id){
		return tbItemTypeMapper.delete(id);
	}

	/** 改 */
	int update(TbItemType t){
		return tbItemTypeMapper.update(t);
	}

	/** 查 */
	TbItemType getById(String id){
		return tbItemTypeMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbItemType> getList(SoMap so) {
		return tbItemTypeMapper.getList(so);	
	}
	

}
